loci.formats

## Interface Memoizer.Deser

- All Known Implementing Classes:
    Memoizer.KryoDeser, Memoizer.RandomAccessDeser
  Enclosing class:
    Memoizer

      public static interface Memoizer.Deser

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `IFormatReader` | `loadReader()`
    `java.lang.String` | `loadReleaseVersion()`
    `java.lang.String` | `loadRevision()`
    `void` | `loadStart(java.io.File memoFile)`
    `void` | `loadStop()`
    `java.lang.Integer` | `loadVersion()`
    `void` | `saveReader(IFormatReader reader)`
    `void` | `saveReleaseVersion(java.lang.String version)`
    `void` | `saveRevision(java.lang.String revision)`
    `void` | `saveStart(java.io.File tempFile)`
    `void` | `saveStop()`
    `void` | `saveVersion(java.lang.Integer version)`

- - ### Method Detail

    - #### loadStart

          void loadStart(java.io.File memoFile)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadVersion

          java.lang.Integer loadVersion()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadReleaseVersion

          java.lang.String loadReleaseVersion()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadRevision

          java.lang.String loadRevision()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadReader

          IFormatReader loadReader()
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### loadStop

          void loadStop()
                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveStart

          void saveStart(java.io.File tempFile)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveVersion

          void saveVersion(java.lang.Integer version)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveReleaseVersion

          void saveReleaseVersion(java.lang.String version)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveRevision

          void saveRevision(java.lang.String revision)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveReader

          void saveReader(IFormatReader reader)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveStop

          void saveStop()
                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          void close()

Copyright © 2026 Open Microscopy Environment